Skip to main content
GET
/
v1
/
replica
/
{id}
/
chats
List Chats
curl --request GET \
  --url https://api.tryreplicas.com/v1/replica/{id}/chats \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.tryreplicas.com/v1/replica/{id}/chats"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.tryreplicas.com/v1/replica/{id}/chats', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "chats": [
    {
      "id": "<string>",
      "title": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "processing": true
    }
  ],
  "waking": true
}
{
"error": "<string>",
"details": "<string>"
}
{
"error": "<string>",
"details": "<string>"
}
{
"error": "<string>",
"details": "<string>"
}

Authorizations

Authorization
string
header
required

API key authentication. Obtain your API key from the Replicas dashboard under Preferences → Organization → Settings → API Keys.

Path Parameters

id
string<uuid>
required

The unique identifier of the replica

Response

Successful response

chats
object[]
required
waking
boolean

If true, the workspace was sleeping or archived and is now waking up. Retry after 30-90 seconds.